package no.skarasoftwaredevelopment.schooltracker.gui;

import no.skarasoftwaredevelopment.schooltracker.R;
import android.app.Activity;
import android.content.res.Resources;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentTabHost;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

public class EffortFragment extends Fragment {
    
	public static final String TAG = "EffortFragment";
	
    private final String TAB_EFFORT_TOTAL = "no.skarasoftwaredevelopment.schooltracker.gui.EFFORT_TOTAL";
    private final String TAB_EFFORT_SEPARATELY = "no.skarasoftwaredevelopment.schooltracker.gui.EFFORT_SEPARATLEY";
    
    public EffortFragment() {
        // Empty constructor required for fragment subclasses
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
    	Activity activity = getActivity();
    	
    	FragmentTabHost tabHost = new FragmentTabHost(activity);
    	tabHost.setup(activity, getChildFragmentManager(), R.id.tabcontent);
    	
    	Resources res = activity.getResources();
    	tabHost.addTab(
    			tabHost.newTabSpec(TAB_EFFORT_TOTAL).setIndicator(res.getString(R.string.EffortFragment_tab_total)),
                EffortTotalFragment.class, null);
    	tabHost.addTab(
    			tabHost.newTabSpec(TAB_EFFORT_SEPARATELY).setIndicator(res.getString(R.string.EffortFragment_tab_separately)),
        		EffortSeparatelyFragment.class, null);
        
        return tabHost;
    }
}