package no.skarasoftwaredevelopment.schooltracker.gui;

import java.util.Random;

import no.skarasoftwaredevelopment.schooltracker.R;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

public class StartFragment extends Fragment {
	
	public static final String TAG = "StartFragment";
	
	private String quotes[];
	
    public StartFragment() {
        // Empty constructor required for fragment subclasses
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.fragment_start, container, false);
        
        quotes = getResources().getStringArray(R.array.StartFragment_text_quotes);
        TextView quote = (TextView) rootView.findViewById(R.id.fragment_start_quote);
        
        // picks a random quote
        Random rnd = new Random();
        quote.setText(quotes[rnd.nextInt(quotes.length)]);
        
        return rootView;
    }
    
}