package no.skarasoftwaredevelopment.schooltracker.handlers;

import java.util.Locale;

public final class ConstantHandler {

	public static final Locale NORWEGIAN = new Locale("nb_NO");
	public static final String CHARSET = "iso-8859-1";
	
	public static final double ATTENDANCE_THRESHOLD_FACTOR = 0.75; // 75 %
	public static final int SINGLE_LECTURE_LENGTH = 45; // minutes
	public static final int BREAK_LENGTH = 15; // minutes
	public static final int LECTURE_BLOCK_INCLUDING_BREAK = SINGLE_LECTURE_LENGTH + BREAK_LENGTH; // minutes	
	
	public static final int POSITION_INTERVAL_REGULAR_MIN = 5; // minutes
	public static final int POSITION_INTERVAL_REGULAR_MS = POSITION_INTERVAL_REGULAR_MIN * 60 * 1000; // min * sec/min * ms/sec = ms
	public static final int POSITION_INTERVAL_FASTEST_MS = 5000; // ms
	public static final int POSITION_AGE_FACTOR = 2;
	public static final int POSITION_MAX_AGE_MS = POSITION_INTERVAL_REGULAR_MS * POSITION_AGE_FACTOR; // ms
	
}