package no.skarasoftwaredevelopment.schooltracker.pojo;

import java.io.Serializable;

public class Course implements Serializable {

	private static final long serialVersionUID = 2608258727279835311L;
	
	private String code;
	private String name;
	private String norwegianName;
	private String newNorwegianName;
	private String englishName;
	private int versionCode;
	
	public Course(String code, String name, String norwegianName, String newNorwegianName, String englishName, int versionCode) {
		this.code = code;
		this.name = name;
		this.norwegianName = norwegianName;
		this.newNorwegianName = newNorwegianName;
		this.englishName = englishName;
		this.versionCode = versionCode;
	}
	
	public Course(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public String getName() {
		return name;
	}

	public String getNorwegianName() {
		return norwegianName;
	}

	public String getNewNorwegianName() {
		return newNorwegianName;
	}

	public String getEnglishName() {
		return englishName;
	}

	public int getVersionCode() {
		return versionCode;
	}

	@Override
	public String toString() {
		return "Course [code=" + code + ", name=" + name + ", norwegianName="
				+ norwegianName + ", newNorwegianName=" + newNorwegianName
				+ ", englishName=" + englishName + ", versionCode="
				+ versionCode + "]";
	}

}