package no.skarasoftwaredevelopment.schooltracker.pojo;

import java.util.List;

public class Timetable {

	private int id;
	private int dayNumber;
	private String startTime;
	private String endTime;
	private String activityId;
	private List<Attendance> attendances;
	private List<Room> rooms;
	
	public Timetable(int dayNumber, String startTime, String endTime, List<Room> rooms, List<Attendance> attendances) {
		this.dayNumber = dayNumber;
		this.startTime = startTime;
		this.endTime = endTime;
		this.rooms = rooms;
		this.attendances = attendances;
	}
	
	public Timetable(int id, int dayNumber, String startTime, String endTime, String activityId, List<Room> rooms) {
		this.id = id;
		this.dayNumber = dayNumber;
		this.startTime = startTime;
		this.endTime = endTime;
		this.activityId = activityId;
		this.rooms = rooms;
	}
	
	public int getId() {
		return id;
	}

	public int getDayNumber() {
		return dayNumber;
	}

	public String getStartTime() {
		return startTime;
	}

	public String getEndTime() {
		return endTime;
	}
	
	public String getActivityId() {
		return activityId;
	}

	public List<Attendance> getAttendance() {
		return attendances;
	}
	
	public List<Room> getRooms() {
		return rooms;
	}
	
}
