package no.skarasoftwaredevelopment.schooltracker.receivers;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

/**
 * This {@code BroadcastReceiver} automatically starts {@code AlarmReceiver} when the device
 * is rebooted. This receiver is set to be enabled (android:enabled="true") in the application's manifest file.
 */
public class BootReceiver extends BroadcastReceiver {

	private AlarmReceiver alarm = new AlarmReceiver();
	
    @Override
    public void onReceive(Context context, Intent intent) {
        if (intent.getAction().equals(Intent.ACTION_BOOT_COMPLETED)) {
            alarm.setAlarm(context);
        }
    }
    
}