package no.skarasoftwaredevelopment.schooltracker.handlers;

import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;

public final class FormatHandler {

	// dates
	public static final SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.US); // PHP JSON/SQLite
	public static final SimpleDateFormat weekdayFormat = new SimpleDateFormat("cccc dd. LLLL", ConstantHandler.NORWEGIAN);
	public static final SimpleDateFormat achievementFormat = new SimpleDateFormat("HH:mm cccc d. LLLL yyyy", ConstantHandler.NORWEGIAN);
	public static final SimpleDateFormat hourFormat = new SimpleDateFormat("HH:mm", ConstantHandler.NORWEGIAN);
	
	// numbers
	public static final DecimalFormat decimalFormat = new DecimalFormat("0.00");

}