package no.skarasoftwaredevelopment.schooltracker.handlers;

import android.content.Context;
import android.media.AudioManager;
import android.media.MediaPlayer;

public class SoundHandler {
	
    public static void playSound(Context c, int soundResource) {
    	AudioManager audio = (AudioManager) c.getSystemService(Context.AUDIO_SERVICE);
    	
    	// we only want to play sound if the device isn't muted
    	if (audio.getRingerMode() == AudioManager.RINGER_MODE_NORMAL) {
			MediaPlayer player = MediaPlayer.create(c, soundResource);
			player.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
				@Override
				public void onCompletion(MediaPlayer mp) {
					if (mp != null) {
						mp.release();
						mp = null;
					}
				}
			});
			player.start();
    	}
    }
	
}