package no.skarasoftwaredevelopment.schooltracker.pojo;

import java.util.List;

import no.skarasoftwaredevelopment.schooltracker.pojo.activities.ActivityType;

public class CourseActivity {

	private String activityId;
	private String courseVersionCode;
	private ActivityType type; // activity description
	private List<String> studyPrograms;
	private String courseCode;
	private List<Timetable> timetables;
	
	public CourseActivity(String activityId, String courseVersionCode, ActivityType type, List<String> studyPrograms, List<Timetable> timetables) {
		this.activityId = activityId;
		this.courseVersionCode = courseVersionCode;
		this.type = type;
		this.studyPrograms = studyPrograms;
		this.timetables = timetables;
	}
	
	public CourseActivity(String activityId, String courseVersionCode, ActivityType type, List<String> studyPrograms, String courseCode) {
		this.activityId = activityId;
		this.courseVersionCode = courseVersionCode;
		this.type = type;
		this.studyPrograms = studyPrograms;
		this.courseCode = courseCode;
	}
	
	public String getActivityId() {
		return activityId;
	}	

	public String getCourseVersionCode() {
		return courseVersionCode;
	}

	public ActivityType getType() {
		return type;
	}
	
	public List<String> getStudyPrograms() {
		return studyPrograms;
	}
	
	public String getCourseCode() {
		return courseCode;
	}

	public List<Timetable> getTimetables() {
		return timetables;
	}
	
//	public enum ActivityType {
//		LECTURE ("Forelesning"),
//		EXERCISE ("ving"),
//		LECTURE_EXERCISE ("Forelesning/ving"),
//		LAB ("Laboratorievelse"),
//		SEMINAR ("Seminar"),
//		OTHER ("Annet");
//		
//		private final String type;
//		
//		ActivityType(String type) {
//			this.type = type;
//		}
//		
//		public String toString() {
//			return type;
//		}
//
//		public static ActivityType getType(String type) {
//			if (type.equalsIgnoreCase(LECTURE.toString())) {
//				return LECTURE;
//			} else if (type.equalsIgnoreCase(EXERCISE.toString())) {
//				return EXERCISE;
//			} else if (type.equalsIgnoreCase(LECTURE_EXERCISE.toString())) {
//				return LECTURE_EXERCISE;
//			} else if (type.equalsIgnoreCase(LAB.toString())) {
//				return LAB;
//			} else if (type.equalsIgnoreCase(SEMINAR.toString())) {
//				return SEMINAR;
//			} else {
//				return OTHER;
//			}
//		}
//	}
	
}
