package no.skarasoftwaredevelopment.schooltracker.pojo;

import no.skarasoftwaredevelopment.schooltracker.R;

public class IceAxe extends Item {

	public static final String NAME = "Isks";
	public static final int CHANCE_TARGET = 90;
	public static final int RESOURCE_ID = R.drawable.ice_axe;
	
	private static final long serialVersionUID = -96943584588343697L;
	
	public IceAxe(int id) {
		super(id, ItemType.ICE_AXE, NAME, false);
	}
	
	public IceAxe() {
		super(ItemType.ICE_AXE, NAME, false);
	}

	@Override
	public int getChanceTarget() {
		return CHANCE_TARGET;
	}

	@Override
	public int getResourceId() {
		return RESOURCE_ID;
	}
	
}