package no.skarasoftwaredevelopment.schooltracker.pojo;

public class StudentCourseEffort {

	private int studentId;
	private String courseCode;
	private int activitiesTotal;
	private int activitiesPassed;
	private int activitiesAttended;
	private int lecturesPassed;
	private int lecturesAtteneded;
	private int lecturesFull;
	private int exercisesPassed;
	private int exercisesAttended;
	private boolean upToDate;
	
	public StudentCourseEffort(
			int studentId, String courseCode, int activitiesTotal, int activitiesPassed,
			int activitiesAttended, int lecturesPassed, int lecturesAtteneded, int lecturesFull,
			int exercisesPassed, int exercisesAttended, boolean upToDate) {
		this.studentId = studentId;
		this.courseCode = courseCode;
		this.activitiesTotal = activitiesTotal;
		this.activitiesPassed = activitiesPassed;
		this.activitiesAttended = activitiesAttended;
		this.lecturesPassed = lecturesPassed;
		this.lecturesAtteneded = lecturesAtteneded;
		this.lecturesFull = lecturesFull;
		this.exercisesPassed = exercisesPassed;
		this.exercisesAttended = exercisesAttended;
		this.upToDate = upToDate;
	}

	public int getStudentId() {
		return studentId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public int getActivitiesTotal() {
		return activitiesTotal;
	}

	public int getActivitiesPassed() {
		return activitiesPassed;
	}

	public int getActivitiesAttended() {
		return activitiesAttended;
	}

	public int getLecturesPassed() {
		return lecturesPassed;
	}

	public int getLecturesAtteneded() {
		return lecturesAtteneded;
	}

	public int getLecturesFull() {
		return lecturesFull;
	}

	public int getExercisesPassed() {
		return exercisesPassed;
	}

	public int getExercisesAttended() {
		return exercisesAttended;
	}

	public boolean isUpToDate() {
		return upToDate;
	}
	
}